%ext ck5
%version 1.4
# Load the modified graphics
%egahead EGAHEAD.ck5
%maphead maphead.ck5	
%patchfile $25B22 Ultra.tli
%patchfile $21C80 AUDIOHED.CK5	#Audio header
%patchfile $35EC4 AUDIODCT.CK5	#Audio dictionary
%patchfile $20cd7 ck5load.bin 	
%patchfile $1FDE0 "STORY.CK5"	

#Disable all demos -Keen 5
%patch $58FB $CB

#################
# Levels                      #
#################

%level.name 0 Greenland
%level.entry 0 Keen explores\n Greenland

%level.name 1 The Coast
%level.entry 1 Keen washes himself\n near the Coast

%level.name 2 Mountains
%level.entry 2 Keen passes through\n Mountains

%level.name 10 Disabled Base
%level.entry 10 Keen returns to the\n Disabled Base




#             VALUE   LEVEL                      MUSIC PLAYED            LEVEL No
%patch $3067A $0009W  #Map                       (Omegamatic)              0
              $0000W  #Ion Ventilation System    (Came In)  1
              $0007W  #Security Center           (Security Center)         2
              $0008W  #Defense Tunnel Vlook      (Be Sphereful)            3
              $0007W  #Energy Flow Systems       (Make it Tighter)         4
              $0008W  #Defense Tunnel Burrh      (Be Sphereful)            5
              $0005W  #Regulation Control Center (Make it Tighter)         6
              $0006W  #Defense Tunnel Sorra      (Be Sphereful)            7
              $0006W  #Neutrino Burst Injector   (Make it Tighter)         8
              $0007W  #Defense Tunnel Teln       (Be Sphereful)            9
              $0005W  #Brownian Motion Inducer   (Security Center)         10
              $0000W  #Gravitational Damping Hub (Snooping)                11
              $000AW  #Quantum Explosion Dynamo  (QED)                     12
%patch $3069C $0001W  #Scrolling Story      (Armageddon Machine)     
              $0000W  #Game Over            (Came In)                 
              $0000W  #Help                 (Help) 

#---HIGH SCORES---
%patch $33D56 "Shikadi            " $00
%patch $33D96 "Robot Attack   " $00
%patch $33DD6 "Koarthbot            " $00
%patch $33E16 "Alessandro            " $00
%patch $33E56 "Snowflake           " $00
%patch $33E96 "Greenland       " $00
%patch $33ED6 "Ninja             " $00
%patch $33F16 "Ultramatic II      " $00

##################################################
# Automatically win game when entering level 12: #
##################################################

%patch $D2E6 $0F920545RL
%patch $FE65 $55 $8B $EC $56 $8B $76 $06 $83 $3E $6F68W  $0C $75 $06 $C7 $06
             $6F70W $000FW   $EB $0C $B8 $000CW  $50 $9A $196E09EFRL     $83
             $C4 $02 $5E $5D $CB
                  

####Enemies####

              
#Spindred jump height
%patch $12A65 $C8 $FF

#Spindred bounces on the floor exclusively
%patch $12A32 $FF $FF #Bounce 65'535 times on the floor before...
%patch $129E5 $03 $00 #Bouncing 3 times on the ceiling

#Cache
%patch $31A3C $0183W #Robo Red cache start
%patch $31A90 $0188W #Cache end

#New collision: Robored stun
%patch $1264D $55 $8B $EC $56 $57 $8B $76 $06 $8B $7E $08 $83 $3D $02 $75 $09
              $9A $0AAF1517RL     $5F $5E $5D $CB $83 $3D $03 $75 $18 $C7 $44
              $16 $0000W  $C7 $44 $06 $0001W  $B8 $00F2W  $50 $57 $56 $9A $090B16CDRL
                          $83 $C4 $06 $5F $5E $5D $CB


#New action: Robored stunned 
%patch $30432 $0188W $0188W $0002W $0000W $0000W $0000W $0000W $0000W
              $090B1710RL   $00000000L    $090B195ARL   $0000W

#Red's smashed shots
%patch $32B44 $0000W #Robo Red shot smash 1(Vanish so only seen when stunned)

#Red can't be lured off ledges 
%patch $32ABC $0000W 
%patch $12711 $5F $5E $5D $CB 

#Red's shots only move horizontally 
%patch $126EE $C7 $47 $18 $0000W $EB $10 
%patch $126E3 $001EW #Horizontal speed

#Shot spawn relative to Red:
%patch $126CE $0100W #1 tiles down from sprite top
%patch $126BD $0180W #1.5 tiles right, when shooting left only

#Mine explodes when shot
%patch $1257A $FFFFW #Remove eye animation to avoid bug

#Disable sprite test cheat and create new collision for Mine
%patch $6CEE $CB $55 $8B $EC $56 $8B $76 $08 $83 $3C $02 $75 $08 $9A $0AAF1517RL
                     $5E $5D $CB $83 $3C $03 $75 $10 $B8 $2662W  $50 $56 $FF
             $76 $06 $9A $090B16CDRL $83 $C4 $06 $5E $5D $CB

#Mine uses new collision
%patch $3295C $06B9015FRL #Sit
%patch $3297A $06B9015FRL #Turn
%patch $32998 $06B9015FRL #Move

#Mine appears in front of fore tiles:
%patch $11C92 $C7 $47 $20 $03 $00

%patch $11D28 4
%patch $11D2E 4

#should make the explosion detection bounds a tile bigger
%patch $11FCE $0300W 
%patch $11FD5 $FA00W

#eliminate pause during search 
%patch $1205B $2608W

#Invincible nonbouncing slicestars 
%patch $1175F $90 $90 $90 $90 $90 

#Invincible bouncing slicestars 
%patch $11803 $90 $90 $90 $90 $90

#Korath has a strength of 3 (Now always spawns moving right.)
%patch $138F1 $C7 $47 $40 $0003W  $C7 $47 $0E $0001W  $B8 $30D2W
              $50 $FF $36 $40 $9E $9A $090B11C4RL     $83 $C4 $04 $5D $CB

#Use new collision when walking, sitting
%patch $33426 $06B90E68RL
%patch $33444 $06B90E68RL
%patch $33462 $06B90E68RL
%patch $33480 $06B90E68RL
%patch $3349E $06B90E68RL

#New collision for Korath
%patch $79F6 $EB $5C
%patch $79F8 $55 $8B $EC $56 $57 $8B $76 $06 $8B $7E $08 $83 $3D $02 $75 $05
             $9A $0AAF1517RL     $83 $3D $03 $75 $34 $FF $4C $40 $75 $1C $C7
             $44 $16 $0000W  $C7 $44 $18 $0000W  $B8 $3168W  $50 $57 $56 $9A
             $090B16CDRL     $83 $C4 $06 $5F $5E $5D $CB $C7 $44 $42 $0002W
             $C7 $44 $04 $0001W  $57 $9A $0CCB10B3RL     $83 $C4 $02 $5F $5E
             $5D $CB

#Korath are deadly, shootable
%patch $13956 $55 $8B $EC $56 $8B $76 $08 $83 $3C $02 $75 $08 $9A $0AAF1517RL #Check for Keen, if yes, kill
                      $5E $5D $CB $83 $3C $03 $75 $10 $B8 $3168W  $50 $56 $FF #Check for Keen shot, if yes, stun
                  $76 $06 $9A $090B16CDRL     $83 $C4 $06 $5E $5D $CB

#Initial Volte-face direction: Right 
%patch $10B93 $C7 $47 $0E $0001W 
%patch $10B10 $0001W 

#New Volte-face actions, act like a horizontal platform 
%patch $3200C $01A1W $01A3W $0003W $0000W $0000W $0006W $0000W $0000W 
              $0F92127ERL   $0F92149DRL   $090B17B5RL   $1CEAW 
%patch $3202A $01A2W $01A4W $0003W $0000W $0000W $0006W $0000W $0000W 
              $0F92127ERL   $0F92149DRL   $090B17B5RL   $1CCCW 

#Custom Volte-Face speed 
%patch $10B9E $55 $8B $EC $83 $EC $04 $56 $57 $8B $7E $06 $83 $3E $85 $BF $00 
              $75 $1F $83 $3E $83 $BF $00 $75 $18 $8B $45 $0E $BA $0020W  $F7 
              $EA $F7 $2E $B4 $9B $A3 $85 $BF $8B $45 $10 $BA $0020W  $E9 
          $F721W  $5F $5E $8B $E5 $5D $CB

#Polesparks check horizontally, not vertically for Keen:
%patch $130F5 $0A
%patch $130FC $0A

#Shikadi's strength
%patch $12EFA $0008W

#Polesparks move horizontally. They also animate and (mostly) move toward Keen
#SIDE EFFECT: Polesparks don't always go in Keen's direction
%patch $130F5 $0A		#Zap 1 checks horizontally for Keen, not vertically
%patch $130FC $0A		#Zap 2 checks horizontally for Keen, not vertically

%patch $13105 $0E		#Zap 1 (mostly) heads horizontally for Keen, not vertically
%patch $13110 $0E		#Zap 2 (mostly) heads horizontally for Keen, not vertically

%patch $331A4 $0003W		#Zap frame 1 animates
%patch $331C2 $0003W		#Zap frame 2 animates

%patch $331AA $00000000L	#Zap frame 1 ignores vertical speed stuff
%patch $331C8 $00000000L	#Zap frame 2 ignores vertical speed stuff

%patch $331A6 $0040W		#Zap frame 1 speed
%patch $331C4 $0040W		#Zap frame 2 speed


%end
